%define name	fortune-weird-bands
%define version	1.0
%define release	%mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	List of weird band names for fortune
License:	GPL
Group:		Toys
Source:		%{name}-%{version}.tar.bz2
URL:		http://www.powernet.net/~chadt/humor/
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	fortune-mod
BuildRequires:	fortune-mod
BuildArch:	noarch

%description
These are names of actual bands, past and present.  Updated 09/30/96.  There
are currently 790 band names.  Some are quite offensive.  Formatted for use
with fortune-mod.

This package is in PLF, as the quotes are copyrighted content.
 
%prep
%setup -q

%build
cat band?.html \
	| grep -v ____ \
	| grep -v "<" \
	| grep -v ">" \
	| grep -v "@" \
	| grep -v "band names" \
	| grep -v "New entries" \
	| grep -v "\[ " \
	| tr -d \\r \
	| tr -s [:space:] \
	| tr \\n "@" \
	| sed -e 's,@ ,@,g' -e 's, @,@,g' \
	| tr -s "@" \
	| tr "@" \\n \
	| tr a-m,n-z,A-M,N-Z n-z,a-m,N-Z,A-M \
	| ( 	quote=0
		read line
		while [ ! $? = 1 ] ; do
			if [ ! "$line" = "" ] ; then
				quote=$[ $quote + 1 ]
				echo -n "Sbeghar'f erny yvir jrveq onaq anzrf "
				echo "#$quote:"
				echo
				echo "$line"
				echo "%"
			fi
			read line
		done
	) > weird-bands
%{_sbindir}/strfile -x weird-bands
cat band1.html \
	| ( head -n 19 ; tail -n 8 ) \
	> README.html

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/games/fortunes/
install -m 644 weird-bands \
	%{buildroot}%{_datadir}/games/fortunes/
install -m 644 weird-bands.dat \
	%{buildroot}%{_datadir}/games/fortunes/

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README.html
%{_datadir}/games/fortunes/*

%changelog
* Wed Sep 13 2006 Guillaume Rousse <guillomovitch@zarb.org> 1.0-4mdv2007.0
- Rebuild

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@zarb.org> 1.0-3plf
- rebuild 

* Sun Sep 26 2004 Guillaume Rousse <guillomovitch@zarb.org> 1.0-2plf
- PLF reason  
- tar.bz2 sources

* Wed Jan 30 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1plf 
- new plf extension

* Tue Nov  6 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- adapted for mandrake

* Fri Jan 21 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- original rpm
- building requires tr from package textutils
- building requires sed
